"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchWriteItem_1 = require("../model/BatchWriteItem");
var BatchWriteItemCommand = /** @class */ (function () {
    function BatchWriteItemCommand(input) {
        this.input = input;
        this.model = BatchWriteItem_1.BatchWriteItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchWriteItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchWriteItemCommand;
}());
exports.BatchWriteItemCommand = BatchWriteItemCommand;
//# sourceMappingURL=BatchWriteItemCommand.js.map