"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateGlobalTable_1 = require("../model/CreateGlobalTable");
var CreateGlobalTableCommand = /** @class */ (function () {
    function CreateGlobalTableCommand(input) {
        this.input = input;
        this.model = CreateGlobalTable_1.CreateGlobalTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateGlobalTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateGlobalTableCommand;
}());
exports.CreateGlobalTableCommand = CreateGlobalTableCommand;
//# sourceMappingURL=CreateGlobalTableCommand.js.map