"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteBackup_1 = require("../model/DeleteBackup");
var DeleteBackupCommand = /** @class */ (function () {
    function DeleteBackupCommand(input) {
        this.input = input;
        this.model = DeleteBackup_1.DeleteBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteBackupCommand;
}());
exports.DeleteBackupCommand = DeleteBackupCommand;
//# sourceMappingURL=DeleteBackupCommand.js.map