"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteItem_1 = require("../model/DeleteItem");
var DeleteItemCommand = /** @class */ (function () {
    function DeleteItemCommand(input) {
        this.input = input;
        this.model = DeleteItem_1.DeleteItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteItemCommand;
}());
exports.DeleteItemCommand = DeleteItemCommand;
//# sourceMappingURL=DeleteItemCommand.js.map