"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeBackup_1 = require("../model/DescribeBackup");
var DescribeBackupCommand = /** @class */ (function () {
    function DescribeBackupCommand(input) {
        this.input = input;
        this.model = DescribeBackup_1.DescribeBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeBackupCommand;
}());
exports.DescribeBackupCommand = DescribeBackupCommand;
//# sourceMappingURL=DescribeBackupCommand.js.map