"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEndpoints_1 = require("../model/DescribeEndpoints");
var DescribeEndpointsCommand = /** @class */ (function () {
    function DescribeEndpointsCommand(input) {
        this.input = input;
        this.model = DescribeEndpoints_1.DescribeEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEndpointsCommand;
}());
exports.DescribeEndpointsCommand = DescribeEndpointsCommand;
//# sourceMappingURL=DescribeEndpointsCommand.js.map