"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTable_1 = require("../model/DescribeTable");
var DescribeTableCommand = /** @class */ (function () {
    function DescribeTableCommand(input) {
        this.input = input;
        this.model = DescribeTable_1.DescribeTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTableCommand;
}());
exports.DescribeTableCommand = DescribeTableCommand;
//# sourceMappingURL=DescribeTableCommand.js.map