"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTables_1 = require("../model/ListTables");
var ListTablesCommand = /** @class */ (function () {
    function ListTablesCommand(input) {
        this.input = input;
        this.model = ListTables_1.ListTables;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTablesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTablesCommand;
}());
exports.ListTablesCommand = ListTablesCommand;
//# sourceMappingURL=ListTablesCommand.js.map