"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreTableFromBackup_1 = require("../model/RestoreTableFromBackup");
var RestoreTableFromBackupCommand = /** @class */ (function () {
    function RestoreTableFromBackupCommand(input) {
        this.input = input;
        this.model = RestoreTableFromBackup_1.RestoreTableFromBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreTableFromBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreTableFromBackupCommand;
}());
exports.RestoreTableFromBackupCommand = RestoreTableFromBackupCommand;
//# sourceMappingURL=RestoreTableFromBackupCommand.js.map