"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreTableToPointInTime_1 = require("../model/RestoreTableToPointInTime");
var RestoreTableToPointInTimeCommand = /** @class */ (function () {
    function RestoreTableToPointInTimeCommand(input) {
        this.input = input;
        this.model = RestoreTableToPointInTime_1.RestoreTableToPointInTime;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreTableToPointInTimeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreTableToPointInTimeCommand;
}());
exports.RestoreTableToPointInTimeCommand = RestoreTableToPointInTimeCommand;
//# sourceMappingURL=RestoreTableToPointInTimeCommand.js.map