"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TagResource_1 = require("../model/TagResource");
var TagResourceCommand = /** @class */ (function () {
    function TagResourceCommand(input) {
        this.input = input;
        this.model = TagResource_1.TagResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TagResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TagResourceCommand;
}());
exports.TagResourceCommand = TagResourceCommand;
//# sourceMappingURL=TagResourceCommand.js.map