"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UntagResource_1 = require("../model/UntagResource");
var UntagResourceCommand = /** @class */ (function () {
    function UntagResourceCommand(input) {
        this.input = input;
        this.model = UntagResource_1.UntagResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UntagResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UntagResourceCommand;
}());
exports.UntagResourceCommand = UntagResourceCommand;
//# sourceMappingURL=UntagResourceCommand.js.map