"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateItem_1 = require("../model/UpdateItem");
var UpdateItemCommand = /** @class */ (function () {
    function UpdateItemCommand(input) {
        this.input = input;
        this.model = UpdateItem_1.UpdateItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateItemCommand;
}());
exports.UpdateItemCommand = UpdateItemCommand;
//# sourceMappingURL=UpdateItemCommand.js.map