"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchWriteItemInput_1 = require("./BatchWriteItemInput");
var BatchWriteItemOutput_1 = require("./BatchWriteItemOutput");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("./ItemCollectionSizeLimitExceededException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.BatchWriteItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchWriteItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchWriteItemInput_1.BatchWriteItemInput
    },
    output: {
        shape: BatchWriteItemOutput_1.BatchWriteItemOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=BatchWriteItem.js.map