"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteItemInput_1 = require("./DeleteItemInput");
var DeleteItemOutput_1 = require("./DeleteItemOutput");
var ConditionalCheckFailedException_1 = require("./ConditionalCheckFailedException");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("./ItemCollectionSizeLimitExceededException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DeleteItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteItemInput_1.DeleteItemInput
    },
    output: {
        shape: DeleteItemOutput_1.DeleteItemOutput
    },
    errors: [
        {
            shape: ConditionalCheckFailedException_1.ConditionalCheckFailedException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DeleteItem.js.map