"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTableInput_1 = require("./DeleteTableInput");
var DeleteTableOutput_1 = require("./DeleteTableOutput");
var ResourceInUseException_1 = require("./ResourceInUseException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var LimitExceededException_1 = require("./LimitExceededException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DeleteTable = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTable",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTableInput_1.DeleteTableInput
    },
    output: {
        shape: DeleteTableOutput_1.DeleteTableOutput
    },
    errors: [
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DeleteTable.js.map