"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutItemInput_1 = require("./PutItemInput");
var PutItemOutput_1 = require("./PutItemOutput");
var ConditionalCheckFailedException_1 = require("./ConditionalCheckFailedException");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("./ItemCollectionSizeLimitExceededException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.PutItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutItemInput_1.PutItemInput
    },
    output: {
        shape: PutItemOutput_1.PutItemOutput
    },
    errors: [
        {
            shape: ConditionalCheckFailedException_1.ConditionalCheckFailedException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=PutItem.js.map