"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var QueryInput_1 = require("./QueryInput");
var QueryOutput_1 = require("./QueryOutput");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.Query = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Query",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: QueryInput_1.QueryInput
    },
    output: {
        shape: QueryOutput_1.QueryOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=Query.js.map