"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScanInput_1 = require("./ScanInput");
var ScanOutput_1 = require("./ScanOutput");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.Scan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Scan",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ScanInput_1.ScanInput
    },
    output: {
        shape: ScanOutput_1.ScanOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=Scan.js.map