"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AttributeNameList_1 = require("./_AttributeNameList");
var _FilterConditionMap_1 = require("./_FilterConditionMap");
var _Key_1 = require("./_Key");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
var _ExpressionAttributeValueMap_1 = require("./_ExpressionAttributeValueMap");
exports.ScanInput = {
    type: "structure",
    required: ["TableName"],
    members: {
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        IndexName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        AttributesToGet: {
            shape: _AttributeNameList_1._AttributeNameList
        },
        Limit: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        Select: {
            shape: {
                type: "string"
            }
        },
        ScanFilter: {
            shape: _FilterConditionMap_1._FilterConditionMap
        },
        ConditionalOperator: {
            shape: {
                type: "string"
            }
        },
        ExclusiveStartKey: {
            shape: _Key_1._Key
        },
        ReturnConsumedCapacity: {
            shape: {
                type: "string"
            }
        },
        TotalSegments: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        Segment: {
            shape: {
                type: "integer"
            }
        },
        ProjectionExpression: {
            shape: {
                type: "string"
            }
        },
        FilterExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        },
        ExpressionAttributeValues: {
            shape: _ExpressionAttributeValueMap_1._ExpressionAttributeValueMap
        },
        ConsistentRead: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=ScanInput.js.map