"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateGlobalTableInput_1 = require("./UpdateGlobalTableInput");
var UpdateGlobalTableOutput_1 = require("./UpdateGlobalTableOutput");
var InternalServerError_1 = require("./InternalServerError");
var GlobalTableNotFoundException_1 = require("./GlobalTableNotFoundException");
var ReplicaAlreadyExistsException_1 = require("./ReplicaAlreadyExistsException");
var ReplicaNotFoundException_1 = require("./ReplicaNotFoundException");
var TableNotFoundException_1 = require("./TableNotFoundException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.UpdateGlobalTable = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateGlobalTable",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateGlobalTableInput_1.UpdateGlobalTableInput
    },
    output: {
        shape: UpdateGlobalTableOutput_1.UpdateGlobalTableOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: GlobalTableNotFoundException_1.GlobalTableNotFoundException
        },
        {
            shape: ReplicaAlreadyExistsException_1.ReplicaAlreadyExistsException
        },
        {
            shape: ReplicaNotFoundException_1.ReplicaNotFoundException
        },
        {
            shape: TableNotFoundException_1.TableNotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateGlobalTable.js.map