"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamoDBClient_1 = require("../../DynamoDBClient");
var ListTablesCommand_1 = require("../../commands/ListTablesCommand");
var DescribeTableCommand_1 = require("../../commands/DescribeTableCommand");
describe("@aws-sdk/client-dynamodb-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListTables should succeed when given correct input", function (done) {
        var client = new DynamoDBClient_1.DynamoDBClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listTables = new ListTablesCommand_1.ListTablesCommand({
            Limit: 1
        });
        client
            .send(listTables)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("DescribeTable should fail when given bad input", function (done) {
        var client = new DynamoDBClient_1.DynamoDBClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeTable = new DescribeTableCommand_1.DescribeTableCommand({
            TableName: "fake-table"
        });
        client
            .send(describeTable)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map